using FluentValidation;

namespace NetinaShop.Repository.Handlers.Products.Validators;

public class UpdateProductCommandValidator : AbstractValidator<UpdateProductCommand>
{
    public UpdateProductCommandValidator()
    {
        RuleFor(d => d.PersianName)
            .NotNull()
            .NotEmpty()
            .WithMessage("نام فارسی کالا مورد نظر را وارد کنید");

        RuleFor(d => d.EnglishName)
            .NotNull()
            .NotEmpty()
            .WithMessage("نام انگلیسی کالا مورد نظر را وارد کنید");

        RuleFor(d => d.Summery)
            .NotNull()
            .NotEmpty()
            .WithMessage("توضیحات کوتاه کالا مورد نظر را وارد کنید");

        RuleFor(d => d.CategoryId)
            .NotEqual(Guid.Empty)
            .NotEmpty()
            .WithMessage("دسته بندی کالا مورد نظر را وارد کنید");

        RuleFor(d => d.BrandId)
            .NotEqual(Guid.Empty)
            .NotEmpty()
            .WithMessage("برند کالا مورد نظر را وارد کنید");
    }
}